class Answer < ActiveRecord::Base

  belongs_to :exam
  belongs_to :question
  belongs_to :choice

  def is_correct?
    is_correct = false
    if !(question.nil?)
      correct_choice = question.correct_choice
      if !(correct_choice.nil?)
        is_correct = (choice_id == correct_choice.id)
      end
    end
    return(is_correct)
  end

  def choices
    all = []
    choices_order.split(",").each do |choice_id|
      choice = nil
      question.choices.each do |question_choice|
        choice = question_choice if (question_choice.id == choice_id.to_i)
      end
      all << choice unless (choice.nil?)
    end
    return(all)
  end

end
