class CreateJournalDetails < ActiveRecord::Migration
  def self.up
    create_table :journal_details do |t|
      t.integer :journal_id, :null => false
      t.string :key, :limit => 30, :null => false
      t.text :old_value
      t.text :new_value
    end

    add_index :journal_details, :journal_id
  end

  def self.down
    drop_table :journal_details
  end
end
