// This is a manifest file that'll be compiled into including all the files listed below.
// Add new JavaScript/Coffee code in separate files in this directory and they'll automatically
// be included in the compiled file accessible from http://example.com/assets/application.js
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// the compiled file.
//
//= require jquery
//= require jquery_ujs

function showFile(index)
{
  document.getElementById("file-" + index + "-link").style.display = "none";
  document.getElementById("file-" + index + "-field").style.display = "inline";
  document.getElementById("file-" + index + "-br").style.display = "inline";
  document.getElementById("file-" + (index + 1) + "-label").style.display = "inline";
  document.getElementById("file-" + (index + 1) + "-link").style.display = "inline";
  document.getElementById("file-" + (index + 1) + "-br").style.display = "inline";
}

function destroyImage(index)
{
  document.getElementById("image-" + index + "-image").style.display = "none";
  document.getElementById("image-" + index + "-link").style.display = "none";
  document.getElementById("image-" + index + "-destroy").value = 1;
}

function surroundText(textId, prefix, suffix)
{
	var text, selection, start, end, scrollPosition;

	if ((text = document.getElementById(textId)) != null)
	{
		text.focus();
		if (typeof(document["selection"]) != "undefined")
		{
			selection = document.selection.createRange().text;
		}
		else if (typeof(text["setSelectionRange"]) != "undefined")
		{
			start = text.selectionStart;
			end = text.selectionEnd;
			scrollPosition = text.scrollTop;
			selection = text.value.substring(start, end);
		}

		prefix = prefix || "";
		suffix = suffix || "";
		if (selection.match(/ $/))
		{
			selection = selection.substring(0, selection.length - 1);
			suffix = suffix + " ";
		}
		subst = prefix + selection + suffix;

		if (typeof(document["selection"]) != "undefined")
		{
			document.selection.createRange().text = subst;
			var range = this.textarea.createTextRange();
			range.collapse(false);
			range.move("character", -(suffix.length));
			range.select();
		}
		else if (typeof(text["setSelectionRange"]) != "undefined")
		{
			text.value = text.value.substring(0, start) + subst + text.value.substring(end);
			if (selection)
			{
				text.setSelectionRange(start + subst.length, start + subst.length);
			}
			else
			{
				text.setSelectionRange(start + prefix.length, start + prefix.length);
			}
			text.scrollTop = scrollPosition;
		}
	}
}

function insertText(textId, text)
{
	surroundText(textId, "", text);
}
