function secondsToString(value)
{
	var text = "";
	var seconds = value % 60;
	var minutes = Math.floor(value / 60) % 60;
	var hours = Math.floor(value / 3600);
	if (hours > 0)
	{
		text += hours + "h ";
	}
	if ((hours > 0) || (minutes > 0))
	{
		text += minutes + "' ";
	}
	text += seconds + "''";
	return(text);
}

$(function() {
	var tickFunction = function() {
		var secondsQuestion = parseInt($("#timer-question-value").html()) + 1;
		$("#timer-question-value").html(secondsQuestion);
		$("#timer-question").html(secondsToString(secondsQuestion));
		var secondsExam = parseInt($("#timer-exam-value").html()) + 1;
		$("#timer-exam-value").html(secondsExam);
		$("#timer-exam").html(secondsToString(secondsExam));
	};
	setInterval(tickFunction, 1000);
	tickFunction();
});
