class Category < ActiveRecord::Base
  acts_as_tree :order => :name
  has_many :questions
  has_many :active_questions, :class_name => "Question", :conditions => {:active => true}
  validates_presence_of :name
end
