class CreateAnswers < ActiveRecord::Migration
  def self.up
    create_table :answers do |t|
      t.integer :exam_id
      t.integer :question_id
      t.integer :choice_id
      t.integer :position

      t.timestamps
    end

    add_index :answers, :exam_id
  end

  def self.down
    drop_table :answers
  end
end
