class AddChoicesOrderOnAnswers < ActiveRecord::Migration
  def self.up
    add_column :answers, :choices_order, :string, :null => false
    Answer.find(:all).each do |answer|
      if (answer.choices_order.blank?)
        answer.choices_order = answer.question.choices.collect{|choice| choice.id}.join(",")
        answer.save
      end
    end
  end

  def self.down
    remove_column :answers, :choices_order
  end
end
